﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using PropellerBooter;

namespace PropellerBooterTest
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }


        private void btnLoadRAM_Click(object sender, EventArgs e)
        {
            try
            {

                if (cbPorts.SelectedItem != null)
                {
                    if (openFileDialog1.ShowDialog() == DialogResult.OK)
                    {
                        Booter b = new Booter(cbPorts.SelectedItem.ToString());
                        b.Boot(openFileDialog1.FileName);
                    }
                }
            }
            catch (Exception ex)
            {
                ShowError(ex);
            }

        }

        private void ShowError(Exception ex)
        {
            ErrorForm f = new ErrorForm();
            f.Error = ex;
            f.ShowDialog();
        }

        private void btnProgramEEPROM_Click(object sender, EventArgs e)
        {
            try
            {
                if (cbPorts.SelectedItem != null)
                {
                    if (openFileDialog1.ShowDialog() == DialogResult.OK)
                    {
                        Booter b = new Booter(cbPorts.SelectedItem.ToString());
                        b.Reprogram(openFileDialog1.FileName);
                    }
                }
            }
            catch (Exception ex)
            {
                ShowError(ex);
            }

        }

        private void Form1_Shown(object sender, EventArgs e)
        {
            try
            {
                //Populate the combobox
                cbPorts.Items.Clear();
                string[] ports = Booter.GetPortNames();
                foreach (string port in ports)
                {
                    cbPorts.Items.Add(port);
                }
            }
            catch (Exception ex)
            {
                ShowError(ex);
            }

        }
    }
}
